> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geo-endpoints-for-spatial-data-access/wms-get-raster-pictures-of-spatial-data-layers/16.-satellite-image-cropped-by-field-boundary.md).

# 16. Спутниковый снимок: обрезан по границе поля

Точный (не пикселизированный) фрагмент спутникового снимка, обрезанный по заданной границе поля, доступен для различных представлений, например `RGB, NIR, EVI2, LAI, NDVI, GNDVI, IPVI, GCI, SAVI, OSAVI, NDWI, WDRVI, NDMI, MCARI`, и других.

Каждый объект SatelliteImage содержит `geoMaps` объект с параметрами отображения, такими как `url`, цветовые коды, классы и название. Эти сведения находятся в атрибуте `field` -> `satelliteImages` -> `geoMaps` . Атрибут `url` предназначен для отображения карт в виде слоя WMS.

Ниже приведены примеры результатов для представлений NIR и WDRVI.

### Ближний инфракрасный диапазон (NIR), WDRVI и контрастность WDRVI

![NIR](https://3851418964-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2FBO5IUPWygVgPKpMAsela%2Fimage.png?alt=media\&token=23504b6c-df7c-460e-b1cd-b184fe86c575) ![WDRVI](https://3851418964-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2FWWNyxHuZj4eEkSrUPEN1%2Fimage.png?alt=media\&token=8cccb814-3eb8-4b55-b1eb-ff0609091f68) ![Контрастность WDRVI](https://3851418964-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2F7f0VDnbb4I5kiw7OdDg5%2Fimage.png?alt=media\&token=1ccffb9a-88b3-431b-9c8d-703cb784a5e6)

Формат запроса: [https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true\&VIEWPARAMS=uuid:\<field\_uuid>\&TIME=2020-07-22T17%3A50%3A22Z\&BBOX=\<minX,minY,maxX,maxY>\&LAYERS=sentinel2\_wdrvi\_and\_field\&SRS=EPSG%3A900913\&WIDTH=512\&geopardApiKey=\<geopard\_api\_key>](https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true\&VIEWPARAMS=uuid:).

### Описание параметров URL

Где входные атрибуты:

1. `VIEWPARAMS=uuid:<field_uuid>` содержит `uuid` объекта «Field»;
2. `TIME=2020-07-22T17%3A50%3A22Z` содержит дату спутникового снимка в формате YYYY-MM-DDThh:mm:ssZ (закодированную для URL). Она находится в сущности «FieldSatelliteImagery» в атрибуте `acquisitionDate` ;
3. `BBOX=<minX,minY,maxX,maxY>` содержит ограничивающий прямоугольник (в URL-кодировке) поля в проекции EPSG:3857;
4. `WIDTH=512` задаёт размер выходного изображения в пикселях (точное значение важно только при использовании изображения в качестве миниатюры);
5. `geopardApiKey=<geopard_api_key>` используется вместе с вариантом авторизации по ключу API;
6. `LAYERS=sentinel2_wdrvi_and_field` указывает стиль; атрибут provider находится в сущности «FieldSatelliteImagery».

Доступные варианты снимков Sentinel2 (`S2`) — значения `LAYERS` — следующие:

`sentinel2_ndvi_and_field`

`sentinel2_evi2_and_field`

`sentinel2_rgb_and_field`

`sentinel2_gci_and_field`

`sentinel2_lai_and_field`

`sentinel2_nir_and_field`

`sentinel2_osavi_and_field`

`Sentinel2_wdrvi_and_field`

Доступные варианты снимков Landsat8 (`L8, L9`) — значения `LAYERS` — следующие:

`landsat8_ndvi_and_field`

`landsat8_evi2_and_field`

`landsat8_rgb_and_field`

`landsat8_gci_and_field`

`landsat8_lai_and_field`

`landsat8_nir_and_field`

`landsat8_osavi_and_field`

`landsat8_wdrvi_and_field`

доступные варианты для снимков Landsat 4–7 (`L4, L5, L6, L7`) `LAYERS` таковы:

`landsat4-7_ndvi_and_field`

`landsat4-7_evi2_and_field`

`landsat4-7_rgb_and_field`

`Landsat4-7_gci_and_field`

`landsat4-7_lai_and_field`

`landsat4-7_nir_and_field`

`landsat4-7_osavi_and_field`

`landsat4-7_wdrvi_and_field`

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geo-endpoints-for-spatial-data-access/wms-get-raster-pictures-of-spatial-data-layers/16.-satellite-image-cropped-by-field-boundary.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
